﻿/*This css is use for Only Broker and distributor Popupmessage */
.success-popup {
    background: #fff;
    border-radius: 28px;
    overflow: hidden;
    position: relative;
}
/* Blur Background */

.swal2-container.swal2-backdrop-show {
    backdrop-filter: blur(10px);
}

/* Wave */

.success-popup::before {
    content: "";
    position: absolute;
    left: -120px;
    bottom: 170px;
    width: 280px;
    height: 280px;
    border-radius: 50%;
    border: 2px solid rgba(66,99,235,.18);
    box-shadow: 0 0 0 18px rgba(66,99,235,.05), 0 0 0 36px rgba(66,99,235,.04), 0 0 0 54px rgba(66,99,235,.03), 0 0 0 72px rgba(66,99,235,.02);
}

.success-popup::after {
    content: "";
    position: absolute;
    right: -120px;
    bottom: 170px;
    width: 380px;
    height: 380px;
    border-radius: 50%;
    border: 2px solid rgba(66,99,235,.18);
    box-shadow: 0 0 0 18px rgba(66,99,235,.05), 0 0 0 36px rgba(66,99,235,.04), 0 0 0 54px rgba(66,99,235,.03), 0 0 0 72px rgba(66,99,235,.02);
}

/* Close */

.popup-close {
    position: absolute;
    right: 25px;
    top: 25px;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: none;
    background: #f2f4ff;
    font-size: 30px;
    color: #4d5db7;
}

/* Logo */

.popup-logo {
    width: 70px;
}

/* Tick */

.success-circle {
    width: 55px;
    height: 55px;
    background: #2ecc71;
    border-radius: 50%;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 40px;
    position: relative;
}

    .success-circle::before {
        content: "";
        position: absolute;
        width: 75px;
        height: 75px;
        border: 2px solid rgba(46,204,113,.15);
        border-radius: 50%;
    }

    .success-circle::after {
        content: "";
        position: absolute;
        width: 95px;
        height: 95px;
        border: 2px solid rgba(46,204,113,.08);
        border-radius: 50%;
    }

/* Heading */

.popup-title {
    font-size: 28px;
    font-weight: 700;
    color: #0b1b84;
}

.popup-subtitle {
    font-size: 17px;
    color: #1d2b73;
}

/* Continue */

.popup-btn {
    background: linear-gradient(90deg,#2737f5,#2e8bff);
    color: white;
    border: none;
    border-radius: 12px;
    padding: 10px 30px;
    font-size: 16px;
    font-weight: 500;
}

    .popup-btn:hover {
        color: #fff;
    }

/*==========================
    CONFETTI
==========================*/

.confetti {
    position: absolute;
    width: 14px;
    height: 8px;
    border-radius: 2px;
    animation: floatConfetti 4s infinite ease-in-out;
}

    .confetti:nth-child(1) {
        top: 60px;
        left: 80px;
        background: #ff4d4f;
    }

    .confetti:nth-child(2) {
        top: 120px;
        left: 180px;
        background: #52c41a;
    }

    .confetti:nth-child(3) {
        top: 80px;
        left: 320px;
        background: #1677ff;
    }

    .confetti:nth-child(4) {
        top: 140px;
        left: 480px;
        background: #faad14;
    }

    .confetti:nth-child(5) {
        top: 90px;
        left: 640px;
        background: #9254de;
    }

    .confetti:nth-child(6) {
        top: 130px;
        right: 180px;
        background: #eb2f96;
    }

    .confetti:nth-child(7) {
        top: 70px;
        right: 80px;
        background: #1677ff;
    }

    .confetti:nth-child(8) {
        top: 160px;
        right: 250px;
        background: #52c41a;
    }

    .confetti:nth-child(9) {
        top: 170px;
        left: 260px;
        background: #9254de;
    }

    .confetti:nth-child(10) {
        top: 65px;
        left: 120px;
        background: #1677ff;
    }

    .confetti:nth-child(11) {
        top: 170px;
        right: 120px;
        background: #faad14;
    }

    .confetti:nth-child(12) {
        top: 115px;
        right: 290px;
        background: #eb2f96;
    }

@keyframes floatConfetti {

    0% {
        transform: translateY(0) rotate(0deg);
    }

    50% {
        transform: translateY(-10px) rotate(25deg);
    }

    100% {
        transform: translateY(0) rotate(0deg);
    }
}

/*==========================
    SUCCESS ICON
==========================*/

.success-circle {
    animation: popupScale .45s ease;
}

@keyframes popupScale {

    from {
        transform: scale(.6);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

/*==========================
    BUTTON
==========================*/

.popup-btn {
    transition: .25s;
    box-shadow: 0 12px 25px rgba(39,55,245,.25);
}

    .popup-btn:hover {
        transform: translateY(-3px);
        box-shadow: 0 20px 40px rgba(39,55,245,.35);
    }

/*==========================
    CARD
==========================*/

.info-card {
    background: #fff;
    border-radius: 0px;
    padding: 0px;
    box-shadow: 0 10px 40px rgba(0,0,0,.08);
    margin-top: 12px;
    border-top: 1px solid #ececec;
}

    .info-card table {
        width: 100%;
    }

    .info-card td {
        padding: 2px 0px;
        font-size: 14px;
        vertical-align: top;
    }

        .info-card td:first-child {
            width: 75px;
            font-weight: 700;
            color: #1f2d6a;
            font-size: 14px;
        }

        .info-card td:nth-child(2) {
            width: 20px;
        }

        .info-card td:last-child {
            color: #222;
            font-size: 14px;
        }

/*==========================
    RESPONSIVE
==========================*/

@media(max-width:992px) {

    .popup-title {
        font-size: 45px;
    }

    .popup-subtitle {
        font-size: 22px;
    }

    .popup-btn {
        font-size: 22px;
        padding: 14px 40px;
    }

    .info-card td {
        font-size: 17px;
    }
}

.swal2-popup {
    padding: 0 !important;
}

.swal2-html-container {
    margin: 0 !important;
    padding: 0 !important;
}

.swal2-container {
    padding: 20px !important;
}

.popup-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 50px;
    border-top: 1px solid #ececec;
    margin-top: 0px;
}

.footer-left {
    display: flex;
    align-items: center;
    gap: 18px;
}

.footer-divider {
    width: 1px;
    height: 65px;
    background: #dcdcdc;
}

.footer-right {
    text-align: right;
}

.company {
    font-size: 17px;
    font-weight: 700;
    color: #17338f;
}

.website {
    font-size: 15px;
    color: #3167ff;
}

.footer-title {
    color: #17338f;
    font-weight: 700;
}

.footer-icon {
    width: 55px;
    height: 55px;
    border-radius: 50%;
    background: #eef2ff;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #17338f;
    font-size: 30px;
}

.popup-table {
    width: 100%;
}

    .popup-table td {
        padding: 0px 0px;
        vertical-align: middle;
    }

    .popup-table .icon {
        width: 52px;
    }
        .popup-table .icon i {
            width: 30px;
            height: 30px;
            border-radius: 10px;
            background: #eef2ff;
            color: #2f46c6;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 14px;
            margin-left: 45px;
        }
    .popup-table td:nth-child(2) {
        width: 110px;
        font-weight: 700;
        color: #23357d;
    }
    .popup-table td:nth-child(3) {
        width: 25px;
        text-align: center;
        color: #777;
    }
    .popup-table td:nth-child(4) {
        font-weight: 500;
        color: #222;
    }
